import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./async-tab.stories";

<Meta of={ComponentStories} name="Docs" />

# Async Tabs

If the content of the `ux-tab` component should be asynchronous, use the `ux-iws-async-tab` component instead.
The content of the tab will be fetched from url provided to the `url` attribute.

Provide a translated string with the `error-message` for the case that an error is encoutered during the fetching of the data.
This text will be displayed to the user in case of an error.
If no translation is provided with the `error-message` prop, a generic error message in English will be displayed.

```
<script>
    require(['app/externalJs'], function (externalJs) {
            externalJs.addExternalJs('minified/asyncTabHandler.min');
    })
</script>
```

Please note that this story showcases some old functionality inside the tabs that was implemented in Patternlab. We can not include the old JS from Patternlab here, that's why the tab content is not fully functional here. The tab content can be tested with the new component in Patternlab.

<Canvas of={ComponentStories.Default}></Canvas>

## Async Tab with actived "fix to top" attribute

<Canvas of={ComponentStories.FixToTop}></Canvas>

## Async Tab with actived "scroll when activated" attribute

<Canvas of={ComponentStories.ScrollWhenActivated}></Canvas>

## Reload on activation

If it is necessary to reload the content of the tab every time that it is activated, set the
`reload-on-activation` attribute to the `ux-iws-async-tab` components.

<Canvas of={ComponentStories.ReloadOnActivation}></Canvas>

## Developer Documentation

<Controls />
